Track Shipment
POST
https://api.cargopanel.co/v1/carriers/trackTrack your shipments in detail.
This API requires a contract. Get in touch with cargopanel Support Team.
Request Fields
shipmentIdstringrequiredThe ID of the shipment you want to track.
Request Body
The request body should be a JSON object containing the following structure:
{
"shipmentId": "YOUR_SHIPMENT_ID"
}Example Response
201
{
"success": true,
"shipmentId": "...",
"userId": "...",
"carrier": "...",
"trackingNumber": "...",
"chargeableWeight": 1,
"currentStatus": {
"status": "Delivered",
"description": "Package has been delivered.",
"location": "LONDON",
"date": "2026-04-06T12:00:00.000Z",
"milestone": "Delivered"
},
"events": [
{
"status": "Delivered",
"description": "Package has been delivered.",
"location": "LONDON",
"date": "2026-04-06T12:00:00.000Z",
"milestone": "Delivered"
}
]
}Responses
201Tracking information retrieved successfully
400Invalid request
401Unauthorized (invalid or missing token)
404Shipment or tracking information not found
500Internal server error